> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sessions



## OpenAPI

````yaml /openapi.json get /api/v1/tech-support/sessions
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/tech-support/sessions:
    get:
      tags:
        - Tech Support
      summary: List Sessions
      operationId: list_sessions_api_v1_tech_support_sessions_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/TechSupportSessionResponse'
                type: array
                title: Response List Sessions Api V1 Tech Support Sessions Get
      security:
        - HTTPBearer: []
components:
  schemas:
    TechSupportSessionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        pa_conversation_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Pa Conversation Id
        device_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Device Type
        os_info:
          anyOf:
            - type: string
            - type: 'null'
          title: Os Info
        issue_category:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Category
        issue_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Summary
        resolution_status:
          type: string
          title: Resolution Status
        diagnostic_data:
          additionalProperties: true
          type: object
          title: Diagnostic Data
        resolution_notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolution Notes
        resolved_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Resolved At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - user_id
        - resolution_status
        - created_at
      title: TechSupportSessionResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````